package com.heyu.api.data.service.impl.operation;
/**
* <p>
* 一些触发事件配置：关键字配置：天气，新闻事件，节日 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.heyu.api.data.dao.operation.OperatinEventConfigDao;
import com.heyu.api.data.entity.operation.OperatinEventConfigEntity;
import com.heyu.api.data.service.operation.OperatinEventConfigService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
@Service
public class OperatinEventConfigServiceImpl extends ServiceImpl<OperatinEventConfigDao, OperatinEventConfigEntity> implements OperatinEventConfigService {


    @Autowired
	private OperatinEventConfigDao operatinEventConfigDao;



	@Override
	public OperatinEventConfigEntity selectOperatinEventConfigById(Long id){
		return operatinEventConfigDao.selectOperatinEventConfigById(id);
	}



	@Override
	public Long insertOperatinEventConfig(OperatinEventConfigEntity operatinEventConfig){
		return operatinEventConfigDao.insertOperatinEventConfig(operatinEventConfig);
	}



	@Override
	public Long insertOrUpdateOperatinEventConfig(OperatinEventConfigEntity operatinEventConfig){
		return operatinEventConfigDao.insertOrUpdateOperatinEventConfig(operatinEventConfig);
	}



	@Override
	public int updateOperatinEventConfigById(OperatinEventConfigEntity operatinEventConfig){
		return operatinEventConfigDao.updateOperatinEventConfigById(operatinEventConfig);
	}



	@Override
	public int updateCoverOperatinEventConfigById(OperatinEventConfigEntity operatinEventConfig){
		return operatinEventConfigDao.updateCoverOperatinEventConfigById(operatinEventConfig);
	}



	@Override
	public int deleteOperatinEventConfigById(Long id){
		return operatinEventConfigDao.deleteOperatinEventConfigById(id);
	}



}
